Skip to main content
GET
/
api
/
v1
/
deployments
/
{deploymentSlug}
/
projects
List all projects
curl --request GET \
  --url https://semgrep.dev/api/v1/deployments/{deploymentSlug}/projects \
  --header 'Authorization: Bearer <token>'
{
  "projects": [
    {
      "id": 1234567,
      "name": "returntocorp/semgrep",
      "tags": [
        "tag"
      ],
      "created_at": "2020-11-18T23:28:12.391Z",
      "default_branch": "refs/heads/main",
      "latest_scan_at": "2023-01-13T20:51:51.449Z",
      "primary_branch": "refs/heads/custom-main",
      "url": "https://github.com/returntocorp/semgrep"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.semgrep.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentSlug
string
required

Slug of the deployment name. Can be found at /deployments, or in your Settings in the web UI.

Example:

"your-deployment"

Query Parameters

page
number<uint32>

Which page of the results do you require? If not specified, returns first page. Pages are numbered from zero (0).

Example:

1

page_size
number<uint32>
default:100

Maximum number of records per returned page. If not specified, defaults to 100 records.

Example:

100

Response

200 - application/json

OK

Return the list of projects in an organization.

projects
Project · object[]
required